Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ServerConfiguration

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.PropertyBundle
                                  oracle.ifs.beans.TiePropertyBundle
                                      oracle.ifs.beans.ServerConfiguration

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieServerConfiguration

    public class ServerConfiguration

extends TiePropertyBundle

A ServerConfiguration is a set of Properties that specifies a configuration of an iFS server.

In addition to the (explicitly specified) Properties, a ServerConfiguration may inherit Properties from other ServerConfigurations, as specified by the InheritedServerConfigurations attribute. These inherited ServerConfigurations may themselves inherit Properties from yet other ServerConfigurations.

The effective Properties of a ServerConfiguration is the union of that ServerConfiguration's Properties and the effective Properties of the ServerConfigurations inherited by that ServerConfiguration.

In determining the effective Properties of a ServerConfiguration:

- A Property of the ServerConfiguration itself overrides a like-named effective Property of an inherited ServerConfiguration.
- An effective Property of the n'th inherited ServerConfiguration overrides a like-named effective Property of the m'th inherited ServerConfiguration for any n < m, where n and m are the element indexes of the InheritedServerConfigurations attribute.

An abstract ServerConfiguration (for which the Abstract attribute is true) does not specify a fully-formed configuration for an iFS server. The DomainConfiguration tool prevents abstract ServerConfigurations from being bound to a NodeConfiguration.

(Unpublished)

Field Summary
`static java.lang.String` | `ABSTRACT_ATTRIBUTE` Abstract server configurations cannot be bound to a NodeConfiguration.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `INHERITEDSERVERCONFIGURATIONS_ATTRIBUTE` The set of ServerConfigurations whose properties are "inherited" by this ServerConfiguration.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` The uniquename of the server that the ServerConfiguration describes.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ServerConfiguration(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a ServerConfiguration.

Method Summary
`static ServerConfiguration[]` | `findAll(LibrarySession session)` Returns all ServerConfigurations.
`static ServerConfiguration` | `findByName(LibrarySession session, java.lang.String uniqueName)` Finds a ServerConfigurations instance by UniqueName value.
`Property[]` | `getEffectiveProperties()` Gets the effective Properties of this ServerConfiguration.
`Property` | `getEffectiveProperty(java.lang.String name)` Gets an effective Property specified by name.
`Property` | `getEffectivePropertyByUpperCaseName(java.lang.String name)` Gets an effective Property specified by name, where the name must be in all uppercase.
`AttributeValue` | `getEffectivePropertyValue(java.lang.String name)` Gets the value of an effective Property specified by name.
`AttributeValue` | `getEffectivePropertyValueByUpperCaseName(java.lang.String name)` Gets the value of an effective Property specified by name, where the name must be in all uppercase.
`ServerConfiguration[]` | `getInheritedServerConfigurations()` Gets the ServerConfigurations from which this ServerConfiguration "inherits" properties.
`java.lang.String` | `getUniqueName()` Gets the unique name for this instance.
`boolean` | `isAbstract()` Gets whether this ServerConfiguration is abstract.
`void` | `setAbstract(boolean abs)` Sets whether this ServerConfiguration is abstract.
`void` | `setInheritedServerConfigurations(ServerConfiguration[] scs)` Sets the ServerConfigurations from which this ServerConfiguration "inherits" properties.

Methods inherited from class oracle.ifs.beans.PropertyBundle
`applyProperties, constructEquivalentParameterTable, constructEquivalentParameterTable, constructEquivalentParameterTable, constructPropertyBundle, constructPropertyBundleVector, getProperties, getProperties, getProperty, getPropertyByUpperCaseName, getPropertyValue, getPropertyValueByUpperCaseName, getPropertyValues, putPropertyValue, putPropertyValue, removeAllPropertyValues, removePropertyValue, resetProperties, vectorPropertyBundleElement, vectorToPropertyBundleArray`

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ServerConfiguration`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `ServerConfiguration`
  The uniquename of the server that the ServerConfiguration describes.

  See Also:
    Constant Field Values
  (Published)

### INHERITEDSERVERCONFIGURATIONS_ATTRIBUTE

    public static final java.lang.String INHERITEDSERVERCONFIGURATIONS_ATTRIBUTE

  Description copied from class: `ServerConfiguration`
  The set of ServerConfigurations whose properties are "inherited" by this ServerConfiguration.

  See Also:
    Constant Field Values
  (Published)

### ABSTRACT_ATTRIBUTE

    public static final java.lang.String ABSTRACT_ATTRIBUTE

  Description copied from class: `ServerConfiguration`
  Abstract server configurations cannot be bound to a NodeConfiguration.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ServerConfiguration

    protected ServerConfiguration(LibrarySession session,
                                  java.lang.Long id,
                                  java.lang.Long classId,
                                  S_LibraryObjectData data)
                           throws IfsException

  Constructs a ServerConfiguration.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the ServerConfiguration data
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Method Detail

### getUniqueName

    public java.lang.String getUniqueName()
                                   throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets the unique name for this instance.

  Returns:
    the unique name
  Throws:
    `IfsException` - if operation fails

### getInheritedServerConfigurations

    public ServerConfiguration[] getInheritedServerConfigurations()
                                                           throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets the ServerConfigurations from which this ServerConfiguration "inherits" properties.

  Returns:
    the ServerConfigurations, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInheritedServerConfigurations

    public void setInheritedServerConfigurations(ServerConfiguration[] scs)
                                          throws IfsException

  Description copied from class: `ServerConfiguration`
  Sets the ServerConfigurations from which this ServerConfiguration "inherits" properties.

  Parameters:
    `scs` - the ServerConfigurations
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isAbstract

    public boolean isAbstract()
                       throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets whether this ServerConfiguration is abstract.

  Abstract ServerConfigurations cannot be bound to NodeConfigurations. The DomainConfiguration tool enforces this rule when requested to add a server to a NodeConfiguration.

  Returns:
    whether abstract
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAbstract

    public void setAbstract(boolean abs)
                     throws IfsException

  Description copied from class: `ServerConfiguration`
  Sets whether this ServerConfiguration is abstract.

  Abstract ServerConfigurations cannot be bound to NodeConfigurations. The DomainConfiguration tool enforces this rule when requested to add a server to a NodeConfiguration.

  Parameters:
    `abs` - whether abstract
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveProperties

    public Property[] getEffectiveProperties()
                                      throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets the effective Properties of this ServerConfiguration.

  Returns:
    the effective Properties, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveProperty

    public Property getEffectiveProperty(java.lang.String name)
                                  throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets an effective Property specified by name.

  Parameters:
    `name` - the name of the Property
  Returns:
    the Property, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectivePropertyByUpperCaseName

    public Property getEffectivePropertyByUpperCaseName(java.lang.String name)
                                                 throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets an effective Property specified by name, where the name must be in all uppercase.

  This is equivalent to `getEffectiveProperty`, but avoids an unnecessary conversion of the name to upper case.

  Parameters:
    `name` - the uppercased name of the Property
  Returns:
    the Property, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectivePropertyValue

    public AttributeValue getEffectivePropertyValue(java.lang.String name)
                                             throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets the value of an effective Property specified by name.

  Parameters:
    `name` - the name of the Property
  Returns:
    the value, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectivePropertyValueByUpperCaseName

    public AttributeValue getEffectivePropertyValueByUpperCaseName(java.lang.String name)
                                                            throws IfsException

  Description copied from class: `ServerConfiguration`
  Gets the value of an effective Property specified by name, where the name must be in all uppercase.

  This is equivalent to `getEffectivePropertyValue`, but avoids an unnecessary conversion of the name to upper case.

  Parameters:
    `name` - the uppercased name of the Property
  Returns:
    the value, or null if no such Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findByName

    public static ServerConfiguration findByName(LibrarySession session,
                                                 java.lang.String uniqueName)
                                          throws IfsException

  Description copied from class: `ServerConfiguration`
  Finds a ServerConfigurations instance by UniqueName value.

  Returns null if no ServerConfiguration with the given UniqueName value could be found.

  Note: the lookup by unique name is case insensitive.

  Parameters:
    `session` - the current session.
    `uniqueName` - the UniqueName of the desired ServerConfiguration.
  Returns:
    the ServerConfiguration instance with the UniqueName, or null if it does't exist.
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ServerConfiguration[] findAll(LibrarySession session)
                                         throws IfsException

  Description copied from class: `ServerConfiguration`
  Returns all ServerConfigurations.

  Parameters:
    `session` - the current session.
  Returns:
    all ServerConfigurations.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD